import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as l } from "./PieIconComponent.js";
import { safeCustomElement as g } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, f = Object.getOwnPropertyDescriptor, a = (c, r, s, t) => {
  for (var e = t > 1 ? void 0 : t ? f(r, s) : r, i = c.length - 1, p; i >= 0; i--)
    (p = c[i]) && (e = (t ? p(r, s, e) : p(e)) || e);
  return t && e && m(r, s, e), e;
};
let o = class extends l {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--pieChartLarge", this.class = "c-pieIcon c-pieIcon--pieChartLarge", this.name = "IconPieChartLarge";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--pieChartLarge"><path d="M16.875 2.875H16A13.125 13.125 0 0 0 2.875 16v.875h14v-14Zm-1.75 12.25h-10.5a11.375 11.375 0 0 1 10.5-10.5v10.5Zm.07 11.375-.14 1.75a12.294 12.294 0 0 1-11.016-9.625h1.793a10.552 10.552 0 0 0 9.363 7.875ZM28.25 16a12.294 12.294 0 0 1-11.305 12.25l-.14-1.75a10.5 10.5 0 0 0 1.82-20.668V4.03A12.25 12.25 0 0 1 28.25 16Z"></path></svg>`;
  }
};
a([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
a([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = a([
  g("icon-pie-chart-large")
], o);
export {
  o as IconPieChartLarge
};
